Description

Currently, there is ~54 MB of test data in common/lib/testdata. This could be moved to a new module that would be optional. The
user manual would need to be updated because some of the test data is referenced there. We could have installers that include or
do not include it and the user manual could also point people to download the test data from the SVN web interface.

History

#1 - 05/28/2009 12:23 PM - Chad Berkley

I moved the testdata and the demos to the outreach module. I'm looking into ways to add the ability to the build system to add temporary modules to
a suite (without changing the modules.ixt file) so that this module (and possibly others like it in the future) won't have to be checked out all the time,
but can still be used as a module of the 'kepler' suite.

#2 - 05/28/2009 12:28 PM - Chad Berkley

To add the outreach module (or any module for that matter) to your suite temporarily, you can use the -Dunder switch in the build system. For
instance, if you want to use the kepler suite, but add the outreach module temporarily, do
'ant change-to -Dsuite=kepler -Dunder=outreach’

This will force the build to checkout outreach and include it in any updates issues to the build but it does not affect the modules.txt file in the kepler
suite.

#3 - 05/28/2009 12:31 PM - Chad Berkley

| changed kepler so that it will try to automatically open to the outreach/resources/demos directory. If it does not find that directory, it will open to the
root kepler directory. Previously, kepler had been opening to common/demos and kepler/demos before that.

Do we need to re-evaluate whether we want kepler opening to the demos directory? No other apps that | know do this.

Need to go through all the demos now and switch references from common/lib/testdata to outreach/resources/data. | will close this bug when that is
done.

#4 - 06/02/2009 03:21 PM - Chad Berkley

removed all references to testdata in the demos and replaced it with the new path. closing this bug.

#5 - 03/27/2013 02:25 PM - Redmine Admin
Original Bugzilla ID was 4111
